package client.somesystem;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.IOException;

import javax.ejb.EJB;

import common.somesystem.services.interfaces.SomeService;

public class Main {
 @EJB
 private static SomeService someService;
 private static BufferedReader keyboard;
 private static String command;
 private static Integer readInteger(String prompt) {
  while(true) {
   System.out.print(prompt);
   try {
    return new Integer(keyboard.readLine());
   } catch(NumberFormatException e1) {
    System.out.println(e1.getMessage());
    continue;
   } catch(IOException e2) {
    System.out.println(
     "probably severe exception \"[ " + e2.getMessage() + " ]\""
     );
    System.exit(1);
   }
  }
 }
 private static void init() {
  keyboard = new BufferedReader(new InputStreamReader(System.in));
 }
 private static void usage() {
  System.out.println("0) exit");
  System.out.println("1) someService");
 }
 private static void menu() {
  usage();
  try {
   while(true) {
    command = keyboard.readLine();
    if(command.equals("1") || command.equals("someService")) {
     someServiceMenu();
    } else if(command.equals("exit") || command.equals("0")) {
     System.out.println("That's it folks!");
     System.exit(1);
    } else {
     System.out.println("Wrong command");
     usage();
    }
   }
  } catch(IOException e) {
   System.out.println(e.getMessage());
   System.exit(1);
  }
 }
 private static void someServiceUsage() {
  System.out.println(" 0) back");
  System.out.println(" 1) createEntity");
  System.out.println(" 2) findAllEntities");
  System.out.println(" 3) findAllOkEntities");
 }
 private static void someServiceMenu() {
  someServiceUsage();
  try {
   while(true) {
    command = keyboard.readLine();
    if(command.equals("1") || command.equals("createEntity")) {
     someService.createEntity();
     someServiceUsage();
    } else if(command.equals("2") || command.equals("findAllEntities")) {
      System.out.println(someService.findAllEntities());
    } else if(command.equals("3") || command.equals("findAllOkEntities")) {
     System.out.println(someService.findAllOkEntities());
    } else if(command.equals("0") || command.equals("back")) {
     menu();
    } else {
     System.out.println("Wrong command");
     someServiceUsage();
    }
   }
  } catch(IOException e) {
   System.out.println(
    "probably severe exception \"[ " + e.getMessage() + " ]\""
    );
   System.exit(1);
  }
 }
 public static void main(String... args) {
  init();
  menu();
 }
}